# Tahoma-GPT

[UP TO DATE] tahoma_gpt is an add-on for [tahoma by pzim-devdata](https://github.com/pzim-devdata/tahoma/tree/main), designed to control Somfy Tahoma devices using ChatGPT and provide help with tahoma by pzim-devdata.

<p align="center" width="100%">
    <img width="15%" src="https://github.com/pzim-devdata/tahoma/blob/804c37ed0438e29c6ba28539fa254f351fcaa736/tahoma-gpt.png"> 
</p>

## Features

![Picture tahoma-gpt](https://github.com/pzim-devdata/tahoma/blob/main/picture_tahoma-gpt.png)

- Control Somfy Tahoma devices with a simple Python 3 API.
- Create scripts or shortcuts to control your house from a domestic server or your computer.
- Integrate Somfy's products with other Matter-compatible devices using this API.
- Works with Somfy Connectivity Kit, Connexoon, Cozytouch, and more.
- Supports various Somfy devices: alarm, shutter, plug, heater, sensors, scenes, and more.
- Compatible with Windows and Linux operating systems.
- Fully functional with ChatGPT.

## Easy Installation Process for Tahoma and Tahoma_GPT

### Install tahoma_gpt

```bash
pip install tahoma_gpt
```

### Configure tahoma

- Run `tahoma -c` to configure tahoma.
- Use `tahoma -g` to obtain further information. See the [tahoma PyPI project](https://pypi.org/project/tahoma/#description) for details.

### Modify tahoma_gpt.py

- Locate the tahoma_gpt.py file on your computer and modify it using a text editor.
- Replace the API key for OpenAI and adjust your model and parameters if necessary.

### Launch tahoma_gpt

- Run `tahoma_gpt` to start a conversation.
- Alternatively, you can execute commands as arguments, such as `tahoma_gpt could you please open the shutter in the kitchen?`.

By following these steps, Tahoma and Tahoma_GPT will be installed on your Linux or Windows system. 

For more information about tahoma.py, refer to the original Tahoma GitHub repository [here](https://github.com/pzim-devdata/tahoma#4-retrieve-your-personal-commands).

-------------------------------------------------------------------------------------

Supported Devices:

- Somfy Connectivity Kit
- Somfy Connexoon IO
- Somfy Connexoon RTS
- Somfy TaHoma
- Somfy TaHoma Beecon
- Somfy TaHoma Switch
- Thermor Cozytouch
- And more...

For additional supported devices, please inquire on the [Tahoma_GPT GitHub Issues](https://github.com/pzim-devdata/tahoma-gpt/issues) page.

<p align="center" width="100%">
    <img width="33%" src="https://avatars.githubusercontent.com/u/52496172?v=4"> 
</p>

------------------------------------------------------------------
